%define upstream_name       Module-ScanDeps
%define upstream_version 1.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Recursively scan Perl code for dependencies
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build::ModuleInfo)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(version)
BuildArch:  noarch

%description
This is a module to recursively scan Perl programs for dependencies.

An application of Module::ScanDeps is to generate executables from scripts
that contains necessary modules; this module supports two such projects, PAR
and App::Packer.  Please see their respective documentations on CPAN for
further information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make 

%check
%__make test

%install
%{makeinstall_std}

%files
%doc AUTHORS Changes META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man*/*
%{perl_vendorlib}/Module

%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.150.0-3.mga5
+ Revision: 740571
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.150.0-2.mga5
+ Revision: 685475
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 sander85 <sander85> 1.150.0-1.mga5
+ Revision: 667050
- update to 1.15

* Tue Aug 05 2014 sander85 <sander85> 1.140.0-1.mga5
+ Revision: 659769
- update to 1.14

* Sat Feb 08 2014 sander85 <sander85> 1.130.0-1.mga5
+ Revision: 586547
- update to 1.13

* Mon Oct 21 2013 umeabot <umeabot> 1.110.0-2.mga4
+ Revision: 538007
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 sander85 <sander85> 1.110.0-1.mga4
+ Revision: 488270
- update to 1.11

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 369979
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.100.0-1.mga3
+ Revision: 315167
- update to 1.10

* Mon Sep 17 2012 jquelin <jquelin> 1.90.0-1.mga3
+ Revision: 295200
- update to 1.09

* Thu Feb 23 2012 jquelin <jquelin> 1.80.0-1.mga2
+ Revision: 213068
- update to 1.08

* Fri Dec 02 2011 kharec <kharec> 1.70.0-1.mga2
+ Revision: 175240
- update to 1.07

* Tue Nov 08 2011 jquelin <jquelin> 1.50.0-1.mga2
+ Revision: 165540
- update to 1.05
- update to 1.04

* Thu Apr 07 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 81805
- update to 1.02

* Mon Mar 28 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 78379
- update to 1.01

* Tue Feb 22 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 56659
- update to 1.00

* Wed Jan 19 2011 jquelin <jquelin> 0.980.0-1.mga1
+ Revision: 24258
- fix specs
- imported package perl-Module-ScanDeps

